pw_factory_info Struct Reference

The factory information. More...

## Data Fields

uint32_t | id
| id of the global More...
const char * | name
| name the factory More...
uint32_t | type
| type of the factory More...
uint32_t | version
| version of the objects More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
struct spa_dict * | props
| the properties of the factory More...

## Detailed Description

The factory information.

Extra information can be added in later versions

## Field Documentation

## change_mask

uint64_t pw_factory_info::change_mask

bitfield of changed fields since last call

Referenced by pw_factory_info_update().

## id

uint32_t pw_factory_info::id

id of the global

Referenced by pw_factory_info_update().

## name

const char* pw_factory_info::name

name the factory

Referenced by pw_factory_info_free(), and pw_factory_info_update().

## props

struct spa_dict* pw_factory_info::props

the properties of the factory

Referenced by pw_factory_info_free(), and pw_factory_info_update().

## type

uint32_t pw_factory_info::type

type of the factory

Referenced by pw_factory_info_update().

## version

uint32_t pw_factory_info::version

version of the objects

Referenced by pw_factory_info_update().

The documentation for this struct was generated from the following file:

- introspect.h